SimpleSpringBeanELResolver (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.access.el

## Class SimpleSpringBeanELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - org.springframework.beans.factory.access.el.SpringBeanELResolver
    - - org.springframework.beans.factory.access.el.SimpleSpringBeanELResolver

-     public class SimpleSpringBeanELResolver
      extends SpringBeanELResolver

  Simple concrete variant of `SpringBeanELResolver`, delegating to a given `BeanFactory` that the resolver was constructed with.
  Since:
    2.5.2
  Author:
    Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.access.el.SpringBeanELResolver

      `logger`

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSpringBeanELResolver(BeanFactory beanFactory)` Create a new SimpleSpringBeanELResolver for the given BeanFactory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BeanFactory` | `getBeanFactory(ELContext elContext)` Retrieve the Spring BeanFactory to delegate bean name resolution to.

    - ### Methods inherited from class org.springframework.beans.factory.access.el.SpringBeanELResolver

      `getCommonPropertyType, getFeatureDescriptors, getType, getValue, isReadOnly, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSpringBeanELResolver

          public SimpleSpringBeanELResolver(BeanFactory beanFactory)

      Create a new SimpleSpringBeanELResolver for the given BeanFactory.
      Parameters:
        `beanFactory` - the Spring BeanFactory to delegate to

  - ### Method Detail

    - #### getBeanFactory

          protected BeanFactory getBeanFactory(ELContext elContext)

      Description copied from class: `SpringBeanELResolver`
      Retrieve the Spring BeanFactory to delegate bean name resolution to.
      Specified by:
        `getBeanFactory` in class `SpringBeanELResolver`
      Parameters:
        `elContext` - the current ELContext
      Returns:
        the Spring BeanFactory (never `null`)